diff -Naur nrpe-2.5.1/src/nrpe.c nrpe-2.5.1.first.readconfig/src/nrpe.c
--- nrpe-2.5.1/src/nrpe.c	2006-04-10 03:42:30.000000000 +0200
+++ nrpe-2.5.1.first.readconfig/src/nrpe.c	2006-04-10 16:03:59.768625700 +0200
@@ -175,6 +175,15 @@
 		config_file[sizeof(config_file)-1]='\x0';
 	        }
 
+	/* read the config file */
+	result=read_config_file(config_file);	
+
+	/* exit if there are errors... */
+	if(result==ERROR){
+		syslog(LOG_ERR,"Config file '%s' contained errors, bailing out...",config_file);
+		return STATE_CRITICAL;
+	        }
+
         /* generate the CRC 32 table */
         generate_crc32_table();
 
@@ -235,15 +244,6 @@
 	/* if we're running under inetd... */
 	if(use_inetd==TRUE){
 
-		/* read the config file */
-		result=read_config_file(config_file);	
-
-		/* exit if there are errors... */
-		if(result==ERROR){
-			syslog(LOG_ERR,"Config file '%s' contained errors, bailing out...",config_file);
-			return STATE_CRITICAL;
-		        }
-
 		/* make sure we're not root */
 		check_privileges();
 
@@ -282,15 +282,6 @@
 		/* log info to syslog facility */
 		syslog(LOG_NOTICE,"Starting up daemon");
 
-		/* read the config file */
-		result=read_config_file(config_file);	
-
-		/* exit if there are errors... */
-		if(result==ERROR){
-			syslog(LOG_ERR,"Config file '%s' contained errors, bailing out...",config_file);
-			return STATE_CRITICAL;
-		        }
-
 		/* write pid file */
 		if(write_pid_file()==ERROR)
 			return STATE_CRITICAL;
